﻿Type=Service
Version=6.8
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: False
	#ExcludeFromLibrary: True
#End Region

Sub Process_Globals
	Public SQL1 As SQL
	
	Public CurrentIndex As Int		'index of the current entry
	Public RowNumber As Int				'number of rows
	
	Public IDList As List		'list containing the IDs of the database				
	'we need it because the IDs can be different from the list indexes
	'if we delete an entry its ID is lost

	'Variables for Edit
	'the Edit Activity has two modes  "Add"  and "Edit"
	Public EditMode As String		

	'Variables for Filter
	'variable for the filter query, 
	'defined in the btnFilter_Click routine
	'and will be used In the DBWebView ShowTable routine
	Public FilterQuery As String
	
	'flag for the filter active or inactive
	Public flagFilterActive As Boolean
	
	'Boolean operator used in the filter
	'can be OR or AND
	Public FilterBooleanOperator As String
	
	'Variables used to hold the selected indexes of the Spinners
	Public SelectedFirstName = 0 As Int
	Public SelectedLastName = 0 As Int
	Public SelectedCity = 0 As Int
End Sub

Sub Service_Create
	'initialize the variables
	CurrentIndex = -1
	RowNumber = 0	
	EditMode = "Add"
	FilterQuery = ""
	flagFilterActive = False
	FilterBooleanOperator = "OR "
	
	File.Delete(File.DirInternal, "persons.db") ' only for testing, removes the database
	
	'check if the database already exists
	If File.Exists(File.DirInternal, "persons.db") = False Then
		'copy the default DB
		File.Copy(File.DirAssets, "persons.db", File.DirInternal, "persons.db")
		'if not, initialize it 
		SQL1.Initialize(File.DirInternal, "persons.db", True)
		'and create it
		'CreateDataBase
	Else
		'if yes, initialize it
		SQL1.Initialize(File.DirInternal, "persons.db", True)
	End If
End Sub

Sub Service_Start (StartingIntent As Intent)

End Sub

Sub Service_Destroy

End Sub
